namespace KlassenVererbung
{
    internal class PKW(string bezeichnung, int geschwindigkeit, int insassen) :
        Fahrzeug(bezeichnung, geschwindigkeit)
    {
        public PKW() : this("", 0, 0) { }

        public void Einsteigen(int anzahl) => insassen += anzahl;

        public override string ToString() =>
            $"{base.ToString()}Insassen: {insassen}\n";
    }
}
